Межсайтовый скриптинг и SQL-инъекция в PHP-Nuke

Дата публикации:
23.02.2006
Всего просмотров:
3616
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-1846
CVE-2006-1847
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP-Nuke 7.x
Уязвимые версии: PHP-Nuke

Описание:
Уязвимость позволяет удаленному пользователю произвести XSS нападение и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "user_id" в "Your_Home" функционале модуля "Your_Account". Удаленный пользователь может с помощью специально сформированного запрсоа выполнить произвольные SQL команды в базе данных приложения. Используя уязвимости #2 злоумышленник может внедрить произвольный код сценария в личное меню целевого пользователя. Удачная эксплуатация уязвимости возможна при выключенной опции "magic_quotes_gpc".

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "ublock" в функционале "Your_Home" модуля "Your_Account". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценарий в браузере жертвы в контексте безопасности уязвимого сайта.

URL производителя: www.phpnuke.org

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA